Subject: Re: [Dime] Comments on draft-ietf-dime-local-keytran-03

From: "Glen Zorn" <[email-masked]>
Date: Wed, 12 May 2010 10:07:24 +0700

Qin Wu [mailto:[email-masked]] writes:

> Hi, Glen:
> Could you take care of the comments from Tom below?

I have no idea what the purpose of the domain identifier might be;
similarly, adding a table to section 5.2 would seem only to add verbiage,
rather than utility, to the draft.

> 
> Regards!
> -Qin
> ----- Original Message -----
> From: "Tom Taylor" <[email-masked]>
> To: <[email-masked]>; "wuqin" <[email-masked]>; "Glen Zorn"
> <[email-masked]>
> Sent: Monday, May 10, 2010 7:55 AM
> Subject: Comments on draft-ietf-dime-local-keytran-03
> 
> 
> >I have a couple of comments on draft-ietf-dime-local-keytran-03.
> >
> > 1) As suggested in my previous E-mail, the attributes contained in the
> Key AVP
> > should probably include an applicable domain identifier (in the
> absence of which
> > the key is not domain-specific), and an enumeration indicating usage.
> The two
> > usages I see are reauthentication root key and master session root
> key. In a bow
> > to RFC 5295, I suppose DSRK should be added to and stand at the head
> of this
> > list. Obviously the usage list has to be extensible -- another IANA
> registry.
> >
> > 2) Minor comment: I would think section 5.2 itself would contain a
> table listing
> > the values to be registered. Of course, if my suggestion is adopted
> the details
> > of this will be different.
> >
> > Tom taylor
> >
> >

---

From: Tom Taylor <[email-masked]>
Date: Wed, 12 May 2010 08:55:13 -0400

The domain identifier would be needed if the receiving entity managed keys for 
multiple domains.

Glen Zorn wrote:
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime
> 
>